org.springframework.jms.annotation

## Annotation Type JmsListeners

    @Target(value={METHOD,ANNOTATION_TYPE})
     @Retention(value=RUNTIME)
     @Documented
    public @interface JmsListeners

Container annotation that aggregates several `JmsListener` annotations.

Can be used natively, declaring several nested `JmsListener` annotations. Can also be used in conjunction with Java 8's support for repeatable annotations, where `JmsListener` can simply be declared several times on the same method, implicitly generating this container annotation.

This annotation may be used as a meta-annotation to create custom composed annotations.

Since:
  4.2
Author:
  Stephane Nicoll
See Also:
  `JmsListener`

### Required Element Summary

Required Elements
`JmsListener[]` `value`

### Element Detail

#### value

    public abstract JmsListener[] value